/*
 *   senator - ASF video stream server
 *   Copyright (C) 2002  anonymous author
 *
 *
 *  senator is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *   
 *  Senator is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *	
 *  You should have received a copy of the GNU General Public License
 *  along with senator; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 *
 */
    
#ifndef CConfigFile_h_included
#define CConfigFile_h_included 

#include <string>

class CConfigFile{
	char		*_data;
	int		_length;
	std::string 	_fileName;
	
	std::string 	_getString(const char *line);
	int		_getInt(const char *line);
	bool		_getBool(const char *line);

	std::string scanToken(const char * line);

public:
	CConfigFile(const char *fileName);
	bool		parse();

	int		portNumber;
	int		maxConnections;
	std::string	rootDirectory;
	std::string 	identifyAs;
	std::string	statusPageName;
	bool		HTTPStreamProtocol;

};

#endif // CConfigFile_h_included 